Bug 244105 - sysutils/moosefs3-master: Update to 3.0.111
Summary: sysutils/moosefs3-master: Update to 3.0.111
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL: https://moosefs.com
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2020-02-13 20:27 UTC by MooseFS FreeBSD Team
Modified: 2020-02-23 07:33 UTC (History)
4 users (show)

See Also:


Attachments
Update to the latest stable version (3.0.110-1) (1.49 KB, patch)
2020-02-13 20:27 UTC, MooseFS FreeBSD Team
freebsd: maintainer-approval+
Details | Diff
Update to the latest stable version (3.0.111-1) (1.49 KB, patch)
2020-02-19 20:25 UTC, MooseFS FreeBSD Team
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description MooseFS FreeBSD Team 2020-02-13 20:27:13 UTC
Created attachment 211622 [details]
Update to the latest stable version (3.0.110-1)

Update MooseFS to the latest stable version (3.0.110-1).

The master port will upgrade all the moosefs3-* related ports as well.

This change in ports passes QA (portlint, poudriere).


Recent changes since MooseFS 3.0.109:

* MooseFS 3.0.110-1 (2020-02-12)

  - (cs) fixed bug that may lead to creating much more chunks in one subfolder (issues #319, #326)
  - (cs) added option for controlling subdirectory selection algorithm for newly created chunks (issues #319, #326)
  - (cs) prevent potential dumping deleted chunks to '.chunkdb'
  - (client) added options for setting behaviour when master returns unavailable chunks or no space status (issue #322)
  - (cgi) fixed logo and icon (file type for favicon.ico, change to current logotype - issue #328)
  - (master) turning off sending NOP's to unregistered clients (matoml module)
  - (cs) fixed reporting wrong number of hours in duplications removal message
  - (cs) redesigned duplicates removal procedure to do it in groups of 100 files (issue #327)
  - (cs) introduce mypread and mypwrite macro (code cleaning)
  - (cs) added check for changed crc before every chunk file close (just in case)
  - (cs) never use open chunk as a chunk duplicate that needs to be deleted
  - (cs) never use disk with pending duplicates as destination disk during internal rebalance (issue #327)
  - (cs) fixed condition in internal rebalance procedure (issue #327)
  - (cs) added option for setting duplicates retention time in hours (issue #333)
  - (cs) fixed memory leak in removing disk with duplicates
  - (cs) removed unnecessary attribute reading when chunk duplicates are detected (issue #327)
  - (cs) changed allocation of duplicated chunks from malloc to mmap, decreased memory usage by duplicates
  - (client) reading in O_WRONLY no longer causes EACCES (might be related to issue #334)
  - (metadump) printing dots for non-printable characters made optional (issue #332)
Comment 1 Bugzilla Automation freebsd_committer 2020-02-13 20:27:13 UTC
Maintainer informed via mail
Comment 2 Automation User 2020-02-13 20:36:46 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/117744291
Comment 3 MooseFS FreeBSD Team 2020-02-19 20:25:58 UTC
Created attachment 211767 [details]
Update to the latest stable version (3.0.111-1)

Update MooseFS to the latest stable version (3.0.111-1).

The master port will upgrade all the moosefs3-* related ports as well.

This change in ports passes QA (portlint, poudriere).


Recent changes since MooseFS 3.0.109:

* MooseFS 3.0.111-1 (2020-02-19)

  - (cs) added protections against segfaults (issue #342)
  - (cs) removed unnecessary error messages

* MooseFS 3.0.110-1 (2020-02-12)

  - (cs) fixed bug that may lead to creating much more chunks in one subfolder (issues #319, #326)
  - (cs) added option for controlling subdirectory selection algorithm for newly created chunks (issues #319, #326)
  - (cs) prevent potential dumping deleted chunks to '.chunkdb'
  - (client) added options for setting behaviour when master returns unavailable chunks or no space status (issue #322)
  - (cgi) fixed logo and icon (file type for favicon.ico, change to current logotype - issue #328)
  - (master) turning off sending NOP's to unregistered clients (matoml module)
  - (cs) fixed reporting wrong number of hours in duplications removal message
  - (cs) redesigned duplicates removal procedure to do it in groups of 100 files (issue #327)
  - (cs) introduce mypread and mypwrite macro (code cleaning)
  - (cs) added check for changed crc before every chunk file close (just in case)
  - (cs) never use open chunk as a chunk duplicate that needs to be deleted
  - (cs) never use disk with pending duplicates as destination disk during internal rebalance (issue #327)
  - (cs) fixed condition in internal rebalance procedure (issue #327)
  - (cs) added option for setting duplicates retention time in hours (issue #333)
  - (cs) fixed memory leak in removing disk with duplicates
  - (cs) removed unnecessary attribute reading when chunk duplicates are detected (issue #327)
  - (cs) changed allocation of duplicated chunks from malloc to mmap, decreased memory usage by duplicates
  - (client) reading in O_WRONLY no longer causes EACCES (might be related to issue #334)
  - (metadump) printing dots for non-printable characters made optional (issue #332)
Comment 4 MooseFS FreeBSD Team 2020-02-20 17:35:40 UTC
(In reply to Automation User from comment #2)

Hope that after removing "buildisok" keyword, new patch will be automatically tested again.

Piotr / MooseFS Team
Comment 5 Tobias C. Berner freebsd_committer 2020-02-23 07:33:18 UTC
Committed. Thanks.
Comment 6 commit-hook freebsd_committer 2020-02-23 07:33:47 UTC
A commit references this bug:

Author: tcberner
Date: Sun Feb 23 07:33:12 UTC 2020
New revision: 526885
URL: https://svnweb.freebsd.org/changeset/ports/526885

Log:
  sysutils/moosefs3-master: Update to 3.0.111

  PR:		244105
  Submitted by:	MooseFS FreeBSD Team <freebsd@moosefs.pro> (maintainer)

Changes:
  head/sysutils/moosefs3-master/Makefile
  head/sysutils/moosefs3-master/distinfo